Subject: bug#22292: 25.0.50; xref-find-references doesn't find anything for Lisp symbols

From: Dmitry Gutov <[email-masked]>
Date: Sat, 2 Jan 2016 17:53:24 +0200

On 01/02/2016 05:32 PM, Eli Zaretskii wrote:

> I did, but Edebug cannot step into cl-defmethod's, cl-defgeneric etc.
> Any tricks up your sleeves to make that work?  I'd give half the
> kingdom for being able to debug into those.

No, sorry. Mostly I use xref-find-references in this case. :) Or 
project-find-regexp.

But I _think_ edebug can be extended to support generic dispatch.

> I fixed the problem.  I cannot believe we still have (had) such code
> in our repository, but facts are stubborn.

Thank you. I didn't even think of semantic-symref-derive-find-filepatterns.

> So, one less bug that's blocking v25.1 ;-)

Yup!